---
title: externalResourcesRequired
slug: Web/SVG/Attribute/externalResourcesRequired
tags:
  - Deprecated
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <code><strong>externalResourcesRequired</strong></code> attribute specifies whether referenced resources that are not part of the current document are required for proper rendering of the given container or graphics element.</p>

<p>This attribute applies to all types of resource references, including style sheets, color profiles and fonts specified by a reference using a {{SVGElement("font-face")}} element or a CSS {{cssxref("@font-face")}} specification. In particular, if an element sets <code>externalResourcesRequired="true"</code>, then all style sheets must be available since any style sheet might affect the rendering of that element.</p>

<p>The <code>externalResourcesRequired</code> attribute is not inheritable (from a sense of attribute value inheritance), but if set on a container element, its value will apply to all elements within the container.</p>

<p>Because setting <code>externalResourcesRequired="true"</code> on a container element will have the effect of disabling progressive display of the contents of that container, if that container includes elements that reference external resources, authors should avoid setting <code>externalResourcesRequired="true"</code> on the outermost {{SVGElement("svg")}} element on a universal basis. Instead, it is better to specify <code>externalResourcesRequired="true"</code> on those particular graphics elements or container elements which specifically need the availability of external resources in order to render properly.</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>false</code> | <code>true</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>false</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>true</code></dt>
 <dd>This value indicates that resources external to the current document are required. If an external resource is not available, progressive rendering is suspended, the document's <code><a href="/en-US/docs/Web/API/SVGElement/load_event">SVGLoad</a></code> event is not fired and the animation timeline does not begin until that resource and all other required resources become available, have been parsed and are ready to be rendered.</dd>
 <dt><code>false</code></dt>
 <dd>This value indicates that resources external to the current document are optional. Document rendering can proceed even if external resources are unavailable to the current element and its descendants.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#ExternalResourcesRequiredAttribute", "externalResourcesRequired")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.conditional_processing.externalResourcesRequired")}}</p>
